#include <windows.h>
#include <vector>
#include <string>

std::vector<unsigned char> GetIcon(const std::string &name, int size, UINT flag);
bool SaveIcon(const std::string &name, const std::string &pngName, int size, UINT flag);